checkbox-gtk should be replaced with checkbox-qt on the desktop image

Bug #937189 reported by Marc Tardif on 2012-02-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
Undecided
Martin Pitt

Bug Description

Now that checkbox-qt has been accepted in the main archive, it should replace the previous checkbox-gtk on the desktop image. Note that checkbox-qt depends on the Qt C++ library rather than the Python one, so this should not result on any bloat on the image.

Martin Pitt (pitti) wrote :

checkbox-gtk is still being built, is it meant to be dropped soon? If both will continue to be supported, I'd rather keep the GTK one in the desktop, as it will look much more consistent theme and UI wise with the rest of the GNOME desktop.

If you are going to drop supporting the GTK one, we have little choice of course.

Changed in checkbox (Ubuntu):
status: New → Incomplete
Daniel Manrique (roadmr) wrote :

Hi Martin,

The idea is for checkbox-qt to be the primary checkbox UI. The gtk version will no longer have feature-parity with checkbox-qt and the plan is to discontinue checkbox-gtk at some point. If you run checkbox-qt you'll notice they're already quite different :)

Thanks!

Changed in checkbox (Ubuntu):
status: Incomplete → New

Daniel Manrique [2012-02-21 14:19 -0000]:
> The idea is for checkbox-qt to be the primary checkbox UI. The gtk
> version will no longer have feature-parity with checkbox-qt and the plan
> is to discontinue checkbox-gtk at some point. If you run checkbox-qt
> you'll notice they're already quite different :)

How/when do you plan to migrate existing checkbox-gtk users to -qt?
I. e. during upgrades? If checkbox-gtk disappears, then checkbox-qt
should perhaps Breaks:/Replaces: it?

Marc Tardif (cr3) wrote :

We're still working on the details of the upgrade path. We want people who just have checkbox-gtk installed in Oneiric to have checkbox-qt after upgrading to Precise. However, we also want people who have packages that depends on checkbox-gtk like checkbox-unity to also have checkbox-gtk upgrades. Hence, the desire to have both in the archive for now. Do you think that's reasonable?

Martin Pitt (pitti) wrote :

Marc Tardif [2012-02-21 15:07 -0000]:
> We're still working on the details of the upgrade path. We want people
> who just have checkbox-gtk installed in Oneiric to have checkbox-qt
> after upgrading to Precise.

That would require a transitional empty checkbox-gtk package which
depends on -qt. If not, we can just switch it in ubuntu-desktop, but
then upgraders will have both.

> However, we also want people who have packages that depends on
> checkbox-gtk like checkbox-unity to also have checkbox-gtk upgrades.

This and the former goal are contradicting, I'm afraid.

> Hence, the desire to have both in the archive for now. Do you think
> that's reasonable?

It's okay to have both variants in principle. But if you don't support
the -gtk one any more, then it should be dropped from the archive.

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Marc Tardif (cr3) wrote :

Following some discussions about the upgrade, this is what we would like to propose:

- Users installing from the desktop image will have checkbox-qt;
- Users upgrading from Oneiric will have the latest checkbox-gtk.

So, we will keep maintaining checkbox-gtk in addition to checkbox-qt during the Precise cycle and we won't need a transitional package. Does that sound reasonable?

Martin Pitt (pitti) wrote :

Marc Tardif [2012-02-22 17:16 -0000]:
> - Users installing from the desktop image will have checkbox-qt;

This implies that upgraders will get it, too, as the updated
ubuntu-desktop package will have to depend on it.

> - Users upgrading from Oneiric will have the latest checkbox-gtk.

I. e. upgraders will have -gtk and -qt.

> So, we will keep maintaining checkbox-gtk in addition to checkbox-qt
> during the Precise cycle and we won't need a transitional package.

Does the -qt package do anything the -gtk one doesn't? If you keep
support for it anyway, why can't we just stay with -gtk for GNOME? It
looks much more native to the system anyway.

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Marc Tardif (cr3) wrote :

It is fine if users upgrading have both the -gtk and -qt interfaces. We are considering removing the .desktop file for the -gtk interface in Precise so that users are not confused by two "System testing" applications in the menus.

As for your concern to stay with the -gtk interface for GNOME, the -qt interface is more than just a skin. Instead, it is a significant improvement on the user experience to incite more users to participate in the Ubuntu Friendly programme. The -qt interface is where we're going and the -gtk interface will likely be completely removed in P+1, ie replaced with a transitional empty package.

Do you think it would be possible to have checkbox-qt on the desktop image in time for Beta Freeze tomorrow?

Martin Pitt (pitti) wrote :

Seed change committed.

affects: checkbox (Ubuntu) → ubuntu-meta (Ubuntu)
Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
milestone: none → ubuntu-12.04-beta-1
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.261

---------------
ubuntu-meta (1.261) precise; urgency=low

  * Refreshed dependencies
  * Added checkbox-qt to desktop (LP: #937189)
  * Added python-aptdaemon.pkcompat to desktop-recommends
  * Added whoopsie to desktop-recommends
  * Removed checkbox-gtk from desktop
 -- Martin Pitt <email address hidden> Thu, 23 Feb 2012 06:36:25 +0100

Changed in ubuntu-meta (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers